Subject: bug#1305: Beeping

From: Lennart Borgman <[email-masked]>
Date: Fri, 27 Nov 2009 21:25:59 +0100

2009/11/27 Stefan Monnier <[email-masked]>:
>> As an example of what I mean look at what windmove-left does when
>> there is no window to the left. It then raises an error.
>> If debug-on-error is true I then get a chance to debug my behaviour. I
>> am not sure that makes sense.
>
> That's a problem between windmove and debug-ignored-errors.
> BTW, I'd welcome a patch that introduces a new error `user-error' and
> then changes calls to `error' where the error message is in
> debug-ignored-errors to signal `user-error' instead.

You mean that debug-ignored-errors should just be '(user-error)?

Isn't there still a problem with condition-case then? Or perhaps it
could be tamed to pass on user-error?

>> The behaviour is different, but I think it should be similar to what
>> scroll-down/up does when it reaches the border. I think there should
>> be a unified behaviour. Making the visual bell default seems good, but
>> why not implement it as `command-level'?
>
> That's already what "an error that's in debug-ignored-errors" does.
>
>
>        Stefan
>